unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls;

const zoomfaktor = -1;

var hDesktop: Hwnd;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Timer1: TTimer;
    procedure FormCreate(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var
  Srect, Drect, PosForm: TRect;
  iTmpX, iTmpY: Real;
  C: TCanvas;
  Cur: TPoint;
begin
 Form1.Width:=Screen.Width+1;
 Form1.Height:=Screen.Height+1;
 hDesktop := GetDesktopWindow;
      GetCursorPos(Cur);
      PosForm := Rect(Left, Top, Left + Width, Top + Height);
          Drect := Rect(0, 0, Screen.Width, Screen.Height);
          iTmpX := Screen.Width / 2;
          iTmpY := Screen.Height / -2;
          Srect := Rect((Screen.Width div 2), (Screen.Height div 2), (Screen.Width div 2), (Screen.Height div 2));
          InflateRect(Srect, Round(iTmpX), Round(iTmpY));
          if Srect.Left < 0 then OffsetRect(Srect, -Srect.Left, 0);
          if Srect.Top < 0 then OffsetRect(Srect, 0, -Srect.Top);
          if Srect.Right > Screen.Width then OffsetRect(Srect, -(Srect.Right - Screen.Width), 0);
          if Srect.Bottom > Screen.Height then OffsetRect(Srect, 0, -(Srect.Bottom - Screen.Height));
          C := TCanvas.Create;
          try
            C.Handle := GetDC(GetDesktopWindow);
            Image1.Canvas.CopyRect(Drect, C, Srect);
          finally
            ReleaseDC(hDesktop, C.Handle);
            C.Free;
          end;
          Application.ProcessMessages;
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
 Form1.Close;
end;

end.


